import { select,  
        scaleOrdinal,
        scaleSqrt
       } from 'd3';

import {colorLegend} from './colorLegend';
import {sizeLegend} from './sizeLegend';

const svg = select('svg');
const height =  +svg.attr('height')


// colorscale
const colorScale = scaleOrdinal()
    .domain(['apple','lemon','lime', 'orange','blueberry'])
    .range(['#fbb4ae','#b3cde3','#ccebc5','#decbe4','#fed9a6']);

const colorScale_size = scaleOrdinal()
    .domain(['apple','lemon','lime', 'orange','blueberry'])
    .range(['#dadaeb','#bcbddc','#9e9ac8','#756bb1','#54278f']);

svg.append('g')
	.attr('transform', `translate(100,${height/4})`)	
  .call(colorLegend, {
    colorScale,
    circleRadius : 20,
    spacing : 60,
  	textOffset : 30 
  });

// colorLegend(svg, {
//     colorScale,
//     height: +svg.attr('height'),
//     circleRadius : 30
//   });


// sizeScale

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 20])

svg.append('g')
	.attr('transform', `translate(150,${height/4})`)	
  .call(sizeLegend, {
    sizeScale,
    colorScale_size,  
    spacing : 60,
  	textOffset : 30 
  });
